- Extending Qt Creator Manual
- PluginErrorView
- Extending Qt Creator Manual 6.0.2

# PluginErrorView Class

class ExtensionSystem::PluginErrorView

The PluginErrorView class implements a widget that displays the state and error message of a PluginSpec. More...

Header: | #include <extensionsystem/pluginerrorview.h>

- List of all members, including inherited members

## Public Functions

| PluginErrorView(QWidget *parent = nullptr)
void | update(ExtensionSystem::PluginSpec *spec)

## Detailed Description

Can be used for integration in the application that uses the plugin manager.

See also ExtensionSystem::PluginView.

## Member Function Documentation

### PluginErrorView::PluginErrorView(QWidget *parent = nullptr)

Constructs a new error view with given parent widget.

### void PluginErrorView::update(ExtensionSystem::PluginSpec *spec)

Reads the given spec and displays its state and error information in this PluginErrorView.